DEX Trades

This endpoint returns transaction data. Return the latest as well as historical transactions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Method: GET

Endpoint: https://api.syve.ai/v1/filter-api/dex-trades

📘

List of examples

The best way to understand how to use the Filter API is to visit the section of examples here.

Request Parameters

All request parameters have the format <operator>:<field_name>. Each field of the table can be used as field_name. See the "Response Fields" section below for possible values.

📘

Request Syntax

For more information on how to construct a request using the Filter API click here.

Response Fields

FieldTypeDescription
block_numberintegerThe block number (i.e. height) of the event log.
timestampintegerUNIX timestamp in seconds.

The zero value corresponds to the 1st of January 1970 at UTC, called the Unix Epoch.
transaction_hashstringThe transaction has of the transaction that the DEX trade happened in.
token_addressstringThe unique address of the ERC20 token.
price_token_usd_tick_1doubleThe price at which a token was traded based on the most recent swap.
price_token_usd_robust_total_{1h|24h}doubleThis provides the total price, in USD, based on both buy and sell trades executed in the last 1 or 24 hour(s).
price_token_usd_robust_buy_{1h|24h}doubleThis metric gives the total price, in USD, based solely on buy trades that have occurred in the last 1 or 24 hour(s).
price_token_usd_robust_sell_{1h|24}doubleThis shows the total price, in USD, accumulated from all sell trades in the last 1 or 24 hour(s).
price_token_usd_robust_mid_{1h|24h}doubleThe mid price is the average of the buy price and the sell price.
protocol_namestringThe name of the DEX protocol on which the trade happened.
pool_addressstringThe address of the pool on which the trade happened.
sidestringWhether the token was bought or sold.

If the token with address token_address leaves the pool after a swap we consider that buy otherwise it's a sell.
amount_tokendoubleThe amount of the token that was traded.
amount_ethdoubleThe value in ether that was traded.
amount_usddoubleThe value in dollars that was traded.

Live Example

Press Try It to make a request and see what the response looks like. Feel free to try different values for each request parameter.

Note: The below live example does not include all possible request parameters.

Query Params
int32
Defaults to 16000000
int32
Defaults to 17000000
int32
Defaults to 10
string
Defaults to desc
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!